Skip to main content
`Ctrl`+`K`

# MatCompositeType

indicates what type of `MATCOMPOSITE` is used

## Synopsis

    typedef enum {
      MAT_COMPOSITE_ADDITIVE,
      MAT_COMPOSITE_MULTIPLICATIVE
    } MatCompositeType;

## Values

- `MAT_COMPOSITE_ADDITIVE` - sum of matrices (default)

- `MAT_COMPOSITE_MULTIPLICATIVE` - product of matrices

## See Also

Matrices, `MATCOMPOSITE`, `MatCompositeSetType()`, `MatCompositeGetType()`

## Level

beginner

## Location

include/petscmat.h

## Examples

src/mat/tutorials/ex9.c

## Examples

src/mat/tutorials/ex9.c

## Examples

src/mat/tutorials/ex9.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages